gem install nmake error West Chesterfield New Hampshire

Address 27 Birge St, Brattleboro, VT 05301
Phone (802) 251-0479
Website Link http://www.bcsmacs.com
Hours

gem install nmake error West Chesterfield, New Hampshire

c:/ruby/bin/ruby.exe extconf.rb install SystemTimer creating Makefile nmake Microsoft (R) Program Maintenance Utility Version 6.00.9782.0 Copyright (C) Microsoft Corp 1988-1998. Jekyll depends on fast-stemmer-1.0.0 and that has to be built as a native extension I found this handy guide on RubyDevKit to install a 'sane' environment on Windows and it works, Terms Privacy Security Status Help You can't perform that action at this time. What is the first movie to show this hard work message at the very end?

When I write in command prompt: C:\> gem install contacts it gives me the following error nmake ‘nmake' is not recognized as an internal or external command, operable program or batch This is an archive from Rails Forum. Browse other questions tagged ruby rubygems jekyll or ask your own question. Mittineague 2010-06-05 23:08:37 UTC #4 AFAIK "nmake" is a *nix thing.

Sign up for free to join this conversation on GitHub. more hot questions question feed lang-rb about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation of the atom whose 1s electron moves nearly at the speed of light? Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 3 Star 74 Fork 16 ph7/system-timer Code Issues 8 Pull requests 3 Projects

Peter Johnson author Bartender Posts: 5856 7 I like... Could it be the gem installed OK even with those error messages? I ended up doing exactly as @giorgian said, with the addition of following the steps here: github.com/oneclick/rubyinstaller/wiki/development-kit. Gem files will remain installed in C:/Ruby/lib/ruby/gems/1.8/gems/fast-stemmer-1 .0.0 for inspection.

no creating Makefile nmake 'nmake' is not recognized as an internal or external command, operable program or batch file. And nmake isn't anywhere in the devkit either. Not the answer you're looking for? How should I calculate the determinant?

Allen Apr 20 '13 at 20:23 Okay! I had Ruby 2.0 version. What happens if one brings more than 10,000 USD with them in the US? Why must the speed of light be the universal speed limit for all the fundamental forces of nature?

When casting a cube spell on a hex grid do you pick a honeycomb for origin or an intersection for origin? ERROR: Error installing ruby-debug: ERROR: Failed to build gem native extension. My output is ....creating Makefile make generating stemmer-i386-mingw32.def /bin/sh: -c: line 0: syntax error near unexpected token (' /bin/sh: -c: line 0: C:/Ruby193/bin/ruby -e \puts EXPORTS, + Init_stemmer.sub(/\..*\z/,)\ > stemmer-i386-mingw32.def' make: Not the answer you're looking for?

Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox. Is there a role with more responsibility? How to draw a path with coordinates defined by f(x) Why did my electrician put metal plates wherever the stud is drilled through? Mxing and matching different versions of newer Visual Studio will fail or will generate unknown errors during runtime.

It's hell bent on using nmake and that fails pretty with the above error message Any help on this would be greatly appreciated! Already have an account? There are so many gems that are os independent I want to learn how to do it.If you can give some related links and your experience, that will help me. Where do I get this 12 year old compiler...?? –Pascal Lindelauf Jul 6 '10 at 14:41 2 @giorgian I've tried exactly that, but it doesn't work.

With modern technology, is it possible to permanently stay in sunlight, without going into space? Make all the statements true date: invalid date '2016-10-16' Meaning of "oh freak" How exactly does the typical shell "fork bomb" calls itself twice? You signed in with another tab or window. If you use the mswin32 port, you are more or less on your own.

I updated the question. Note that if you want to use it with Rails, you must use: config.gem 'bcrypt-ruby', :lib => 'bcrypt' share|improve this answer answered Feb 23 '11 at 5:35 gamov 1,9232221 add a Has anyone done this successfully? share|improve this answer edited Oct 15 '10 at 7:59 answered Mar 11 '10 at 12:07 giorgian 3,08611744 My solution was to switch to a Mac =) In a day

If the gem requires some native code, then it will have to be compiled on each platform. I would recommend avoid all these hassles and proceed with the successor of One-Click, which is called RubyInstaller. How to deal with sewage on a map with no water anywhere With the passing of Thai King Bhumibol, are there any customs/etiquette as a traveler I should be aware of? What kind of distribution is this?

so (LoadError) 0 install bcrypt-ruby on windows Related 1problems installing thin on Windows0install bcrypt-ruby on windows1660How do I install pip on Windows?910How do you use bcrypt for hashing passwords in PHP?239Uninstall C:/Ruby/bin/ruby.exe extconf.rb creating Makefile nmake Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. Seems like lot more surprises to come..